## cruft 0.9.38

=== Makefile ===
# Makefile for cruft

CFLAGS += -Wall -W -pedantic-errors

INS = install

DATADIRS = explain filters-broken_symlinks filters-unex

DESTDIR = `pwd`/debian/tmp

PROGS1 = canonical filter_shell merge_diff readlinks
PROGS2 = dash-search
PROGS  = $(PROGS1) $(PROGS2)

all: $(PROGS) design.png

install1: $(PROGS1) filter filters_list cruft_find filter_ignores check_type_symlink z_cruft
	mkdir -p $(DESTDIR)/usr/lib/cruft/
	$(INS) $^ $(DESTDIR)/usr/lib/cruft/

install11: common.sh common_legacy.sh common.pl
	mkdir -p $(DESTDIR)/usr/lib/cruft/
	$(INS) -D -m 0644 $^ $(DESTDIR)/usr/lib/cruft/

install2:  $(PROGS2)
	$(INS) -D $< $(DESTDIR)/usr/bin/$<

installdirs: $(DATADIRS)
	set -e ; for d in $^ ; do \
		mkdir -p $(DESTDIR)/usr/lib/cruft/$$d; \
		find $$d -maxdepth 1 -type f | xargs -i cp '{}' $(DESTDIR)/usr/lib/cruft/$$d/; \
	done

install: install1 install11 install2 installdirs cruft
	$(INS) -D cruft $(DESTDIR)/usr/sbin/cruft

clean:
	rm -f $(PROGS) merge_diff.o merge_diff_funcs.o shellexp.o *~ debian/*~ \
	 shellexptest.o shellexptest merge_diff_test.o merge_diff_test \
	 merge_diff_common.o river.o fn_stream.o
	rm -rf merge_diff_tests/*/run
	rm -f design.png

check: shellexptest merge_diff_test
	./test-shellexp
	cd merge_diff_tests && ./test
	echo Checking for trailing whitespaces
	grep -E -R -H " +$$" filters-unex/ || true
	! grep -E -R -q " +$$" filters-unex/
	echo Checking for trailing slashes
	grep -E -R -H "/+$$" filters-unex/ || true
	! grep -E -R -q "/+$$" filters-unex/

shellexptest: shellexptest.o shellexp.o
filter_shell dash-search: shellexp.o
merge_diff_test: merge_diff_test.o merge_diff_funcs.o merge_diff_common.o river.o fn_stream.o
merge_diff:      merge_diff.o      merge_diff_funcs.o merge_diff_common.o river.o fn_stream.o
merge_diff_funcs.o merge_diff_test.o merge_diff_common.o river.o fn_stream.o merge_diff.o: merge_diff_common.h

design.png: design.dia
	unset DISPLAY ; dia --size 800x740 --export tmp-$@ $<
	#pngcrush -q -c 0 tmp-$@ $@
	#rm tmp-$@
	optipng -o 7 tmp-$@
	mv tmp-$@ $@

.PHONY: all clean install check

## cruft 0.9.5

=== debian/changelog ===
cruft (0.9.5) frozen unstable; urgency=low

  * Fix bashism in postinst (Closes #27541)
  * No longer reports one letter file names as cruft (Closes #23773)
  * Merge NMU's (Closes #23523)
  * Made manpage match actual options. (Closes #21730)
  * Don't report alternative targets as missing

  * Added some extra information to /usr/doc/README (as requested in,
    but not closing, #21987)

  * Changed home_ftp explanation to check for an ftp user in
    /etc/passwd, and to do nothing if no ftp directory was found (thanks
    to David Frey for /etc/passwd bit) (Closes #24339)

  * Fix bashism (avoid ash bug?) in cruft ([ ""$FOO = "" ] doesn't
    work as expected) (Closes #28593)

 -- Anthony Towns <ajt@debian.org>  Mon,  9 Nov 1998 14:35:00 +1000

cruft (0.9.4.2) unstable; urgency=low

  * merge_diff.c: Initialize need.n to 0.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 10 Sep 1998 16:21:01 -0400

cruft (0.9.4.1) unstable; urgency=low

  * Have dash-search actually compile, rather than using the i386-specific
    one left around from some prior build.
  * Add '#include <string.h>' so it'll actually compile under egcs.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 14 June 1998 19:00:03 +1000

cruft (0.9.4) unstable; urgency=low

  * Fixes buggy upload of 0.9.3 (.changes and .deb weren't final 
    release of 0.9.3)
  * Handle more alternatives 

 -- Anthony Towns <ajt@debian.org>  Wed, 15 Apr 1998 19:00:03 +1000

cruft (0.9.3) unstable; urgency=low

  * Moved cruft.extrafiles dpkg control file to /usr/lib/cruft/filters
    in preparation of actually uploading to unstable.
  * Added need_* and want_* files: for things that *have* to be there,
    but aren't particularly provided by anthing. Used for dealing with
    symlinks (need_symlink_dest), and alternatives (/usr/bin/vi, rather
    than /etc/alternatives/vi, eg).
  * Moved canonical into /usr/lib/cruft 
  * Added checks for broken symlinks 
  * Moved distributed filters from /etc/cruft/filters to 
    /usr/lib/cruft/filters
  * Added TODO file 

 -- Anthony Towns <ajt@debian.org>  Sat, 11 Apr 1998 23:14:32 +1000

cruft (0.9.2) unreleased; urgency=low

  * Got rid of /etc/cruft/explain/etc_dir test 
  * Added command line parsing
  * Saved report in /var/spool/cruft/report 
  * Added handling of diversions

 -- Anthony Towns <ajt@debian.org>  Fri, 10 Apr 1998 23:12:52 +1000

cruft (0.9.1) unreleased; urgency=low

  * Tidied up canonical.c
  * Changed filters to use shell patterns instead of scripts
  * Output results to stdout rather than leave in /var/spool/cruft
  * Sped up canonical substantially (about twice as fast)
  * Tightened handling of /etc
  * Added /var/cache

 -- Anthony Towns <ajt@debian.org>  Mon,  6 Apr 1998 22:24:34 +1000

cruft (0.9) unreleased; urgency=low

  * Initial Release.

 -- Anthony Towns <ajt@debian.org>  Sun,  5 Apr 1998 00:46:56 +1000

Local variables:
mode: debian-changelog
add-log-mailing-address: "ajt@debian.org"
End:

=== debian/control ===
Source: cruft
Section: admin
Priority: optional
Maintainer: Anthony Towns <ajt@debian.org>
Standards-Version: 2.4.0.0

Package: cruft
Architecture: any
Depends: ${shlibs:Depends}
Description: Find any cruft built up on your system
 cruft is a program to look over your system for anything that shouldn't
 be there, but is; or for anything that should be there, but isn't.
 .
 It bases most of its results on dpkg's database, as well as a list of
 `extra files' that can appear during the lifetime of various packages.
 .
 cruft is still in pre-release; your assistance in improving its accuracy
 and performance is appreciated.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	gcc -Wall -W -ansi -pedantic-errors -o canonical canonical.c
	gcc -Wall -W -ansi -pedantic-errors -o merge_diff merge_diff.c
	gcc -Wall -W -ansi -pedantic-errors -o readlinks readlinks.c
	gcc -Wall -W -ansi -pedantic-errors -o filter_shell filter_shell.c
	gcc -Wall -W -ansi -pedantic-errors -o dash-search dash-search.c

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -f canonical merge_diff readlinks filter_shell dash-search

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	mkdir -p debian/tmp/usr/lib/cruft
	mkdir -p debian/tmp/var/spool/cruft
	
	mkdir -p debian/tmp/etc/cruft/explain
	mkdir -p debian/tmp/etc/cruft/filters

	cp -a filters        debian/tmp/usr/lib/cruft/
	cp -a explain        debian/tmp/usr/lib/cruft/
	cp -a cruft          debian/tmp/usr/sbin
	cp -a dash-search    debian/tmp/usr/bin
	cp -a canonical      debian/tmp/usr/lib/cruft/
	cp -a readlinks      debian/tmp/usr/lib/cruft/
	cp -a merge_diff     debian/tmp/usr/lib/cruft/
	cp -a filter_shell   debian/tmp/usr/lib/cruft/
	cp -a extrafiles     debian/tmp/usr/lib/cruft/
## XXX
	cp -a debian/extrafiles debian/tmp/usr/lib/cruft/filters/cruft
## XXX

	dh_installdocs README TODO
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages 
#	dh_undocumented cruft.8
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	chmod 700 debian/tmp/var/spool/cruft
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs

##
##	install -o root -g root -m 644 -p debian/extrafiles debian/tmp/DEBIAN/extrafiles
##
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## cruft 0.9.6-0.1

=== debian/changelog ===
cruft (0.9.6-0.1) unstable; urgency=low

  * Non-maintainer bugsquash upload.
  * Only call "make distclean" if there is a Makefile (closes: #51617)
  * debian/rules: Applied patch from BTS to install all necessary files
    (closes: #51448, #52094, #51653)

 -- Richard Braakman <dark@xs4all.nl>  Sun, 19 Dec 1999 18:36:39 +0100

cruft (0.9.6) unstable; urgency=low

  * Added autoconf support and Makefile, thanks to Mitch Blevins.
  * Add machine name in mail.
  * Deal with spaces in argument handling. (Closes: Bug#50180)
  * Only display boring junk in postinst when installing (not upgrading).

 -- Anthony Towns <ajt@debian.org>  Sun, 28 Nov 1999 01:02:22 +1000

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,8 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	gcc -Wall -W -ansi -pedantic-errors -o canonical canonical.c
-	gcc -Wall -W -ansi -pedantic-errors -o merge_diff merge_diff.c
-	gcc -Wall -W -ansi -pedantic-errors -o readlinks readlinks.c
-	gcc -Wall -W -ansi -pedantic-errors -o filter_shell filter_shell.c
-	gcc -Wall -W -ansi -pedantic-errors -o dash-search dash-search.c
+	./configure
+	$(MAKE)
 
 	touch build-stamp
 
@@ -25,7 +22,7 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	rm -f canonical merge_diff readlinks filter_shell dash-search
+	[ ! -f Makefile ] || $(MAKE) distclean
 
 	dh_clean
 
@@ -42,21 +39,7 @@
 	dh_installdirs
 
 	# Add here commands to install the files into debian/tmp
-	mkdir -p debian/tmp/usr/lib/cruft
-	mkdir -p debian/tmp/var/spool/cruft
-	
-	mkdir -p debian/tmp/etc/cruft/explain
-	mkdir -p debian/tmp/etc/cruft/filters
-
-	cp -a filters        debian/tmp/usr/lib/cruft/
-	cp -a explain        debian/tmp/usr/lib/cruft/
-	cp -a cruft          debian/tmp/usr/sbin
-	cp -a dash-search    debian/tmp/usr/bin
-	cp -a canonical      debian/tmp/usr/lib/cruft/
-	cp -a readlinks      debian/tmp/usr/lib/cruft/
-	cp -a merge_diff     debian/tmp/usr/lib/cruft/
-	cp -a filter_shell   debian/tmp/usr/lib/cruft/
-	cp -a extrafiles     debian/tmp/usr/lib/cruft/
+	$(MAKE) install
 ## XXX
 	cp -a debian/extrafiles debian/tmp/usr/lib/cruft/filters/cruft
 ## XXX

## cruft 0.9.6-0.3

=== debian/changelog ===
cruft (0.9.6-0.3) unstable; urgency=low

  * Non-maintainer upload
  * New postrm script which prevents cruft leaving cruft behind in
    /var/spool/cruft. Fixes: #66731
  * Fixed location of GPL reference in copyright file. (Lintian error)
  * dash-search.1 dh_undocumented manpage. (Lintian error)

 -- Paul Martin <pm@debian.org>  Sat, 17 Mar 2001 04:18:09 +0000

cruft (0.9.6-0.2) unstable; urgency=low

  * Hack around to get argument parsing to work. Thanks to Janne Veli Kujala
    for the patch. (closes: Bug#58035)

  * Maintainer NMU. :) This package really needs to be rewritten and
    cleaned up. :(

 -- Anthony Towns <aj@azure.humbug.org.au>  Sun, 20 Feb 2000 19:00:36 +1000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Anthony Towns <ajt@debian.org>
+Build-Depends: debhelper
 Standards-Version: 2.4.0.0
 
 Package: cruft

## cruft 0.9.6-0.4

=== debian/changelog ===
cruft (0.9.6-0.4) unstable; urgency=low

  * Non-maintainer bugsquash upload
  * Add file to Build-depends. (Closes: #35042)

 -- Hwei Sheng Teoh <hsteoh@quickfur.yi.org>  Fri, 22 Nov 2002 22:58:01 -0500

=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 #	dh_installinit
 	dh_installcron
 	dh_installmanpages 
-#	dh_undocumented cruft.8
+	dh_undocumented dash-search.1
 	dh_installchangelogs
 	dh_strip
 	dh_compress

## cruft 0.9.6-0.5

=== debian/changelog ===
cruft (0.9.6-0.5) dapper; urgency=low

  * cruft.8
    + Fixed path (Closes: Malone #43188). 

 -- Chuck Short <zulcss@gmail.com>  Wed, 10 May 2006 21:25:26 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: cruft
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, file
 Description: Find any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't
  be there, but is; or for anything that should be there, but isn't.

## cruft 0.9.6-0.15

=== debian/changelog ===
cruft (0.9.6-0.15) unstable; urgency=low

  * Non-maintainer upload blessed by aj
  * Explain scripts:
    - modified: doc-base (do not complain when doc-base isn't installed)
    (Closes: #373684)

 -- Marcin Owsiany <porridge@debian.org>  Thu, 15 Jun 2006 08:29:09 +0100

cruft (0.9.6-0.14) unstable; urgency=low

  * Non-maintainer upload blessed by aj
  * Moved handling of .dhelp files from filter to modified explain script
    provided by Kevin Ryde (Closes: #371871) 
  * Changed interpreter of some bash explain scripts to sh, thanks to Joerg
    Sommer, who pointed out checkbashisms  (Closes: #367029)
  * Changed processing of -d and --ignore to allow multiple occurences, and
    documented it in the manpage (Closes: #371872)
  * Explain scripts:
    - new: doc-base
    - modified: apt-listchanges cvs2svn grub linda reportbug rubber zsh
  * Filter files:
    - modified: dhelp

 -- Marcin Owsiany <porridge@debian.org>  Thu,  8 Jun 2006 20:52:33 +0100

cruft (0.9.6-0.13) unstable; urgency=low

  * Non-maintainer upload blessed by aj
  * Filter files:
    - new: apache-common apt-show-versions devscripts
      libcommons-validator-java libncurses5 pbuilder phpmyadmin msttcorefonts
      gnome-themes initscripts fontconfig scrollkeeper desktop-file-utils
      shared-mime-info hddtemp
    - updated: apache apache-ssl base-files fakeroot initscripts mysql-server
      postgresql sgml-base squid tomcat4 xml-core
  * cruft_find cruft common.sh explain/users explain/home_ftp
    explain/lost_found: added conditional debugging support
  * common.sh, common.pl: properly escape parens on find invocation
  * debian/rules: properly install the filter file to avoid setting +x
  * shellexptest.c: new tiny utility to test shellexp
  * Explain scripts:
    - new: linda rubber

 -- Marcin Owsiany <porridge@debian.org>  Mon,  6 Feb 2006 18:07:18 +0100

cruft (0.9.6-0.12) experimental; urgency=low

  * Non-maintainer upload blessed by aj
  * Many thanks to Jeremy Bygott, who provided most of the patches for many
    changes in this release
  * Explain scripts:
    - apt-listchanges cvs2svn: only echo files if they exist
    - reportbug: new script
  * Filter files:
    - updated: base-files exim4-daemon-heavy apache debsums dhelp ppp
    - new: mysql-server postgresql tomcat4 syslog-ng apache-ssl
      exim4-daemon-light chkrootkit hotplug lg-base libpango1.0-common
      octave2.0 xfstt xscreensaver
    - removed: pgp-i ppp-pam suidmanager wenglish
    - renamed: expect5.24 -> expect, nethack -> nethack-common, wu-ftpd-academ
      -> wu-ftpd, xntp3 -> ntp, filters/dhcpd -> filters/dhcp (also fixed a
      path), xbase -> xfree86-common (updated a config file path), xemacs ->
      xemacs21 (updated+fixed a path)

 -- Marcin Owsiany <porridge@debian.org>  Wed,  2 Nov 2005 16:31:07 +0100

cruft (0.9.6-0.11) experimental; urgency=low

  * Non-maintainer upload blessed by aj
  * common.sh: local-scope function variables
  * Explain scripts:
    - fixed executable permission: grub zsh
    - fixed error: grub (echo grub directory)
    - new: screen apt-listchanges cvs2svn
  * Filter files:
    - fixed: apt-listchanges (wrong path to config file), locales (wrong path
      to locale-archive)
    - updated: netbase ucf sysstat exim4-config apt-listchanges (moved pyc
      to explain script)
    - new: aide clamav-daemon clamav-freshclam sgml-base xml-core exim4-base
      exim4-daemon-heavy stunnel4 debsums libapr0
  * Extended the list of remote filesystems in common.sh and explain/dev
    (partially stolen from netbase).

 -- Marcin Owsiany <porridge@debian.org>  Fri, 28 Oct 2005 15:11:52 +0200

cruft (0.9.6-0.10) experimental; urgency=low

  * Non-maintainer upload blessed by aj
  * Filter files:
    - new: aptitude apt-listchanges ca-certificates console-common cvs dump
      exim4-config fonty iptraf libblkid1 libsnmp-base lm-sensors logcheck
      logrotate mime-support nagios-nrpe-server samba-common snmpd ucf
    - updated: apt base-files cron findutils initscripts locales modutils
      popularity-contest postfix resolvconf ssh sudo sysklogd sysstat
  * Explain scripts:
    - new: grub zsh
    - fixed: lost_found works properly on no ignores

 -- Marcin Owsiany <porridge@debian.org>  Thu, 27 Oct 2005 16:57:28 +0200

cruft (0.9.6-0.9) experimental; urgency=low

  * Non-maintainer upload blessed by aj
  * Fixed path in debian/extrafiles (Closes: #334091)
  * Filter files:
    - new: debconf login passwd libpam-runtime netkit-inetd resolvconf
    - updated: ifupdown libc6 dhcp-client info modutils dpkg nvi base-files
      man-db sysklogd
    - removed filter files not named after packages (timezones lastlog
      log_wtmp run_utmp) and moved their contents to libc6, login, base-files
    - removed files for packages nonexistant in sid: ae bsmtpd
      distributed-net-pproxy dpkg-mountable fvwm2 guile1.2 ldso majordomo
      msqld netstd prime-net psptools quake tcl7.6 tix41 tk4.2 wwwcount
      xemacs20-bin
  * explain/gconf: Run find conditionally if the path exists
  * explain/dpkg: implemented better diversion detection logic
  * extrafiles: only use filter files in /usr/lib/cruft/filters if their
    packages seem installed (Closes: #335507)
  * debian/control:
    - added >> 4 to debhelper build-dep
    - updated Standards-Version to 3.6.2
  * debian/rules: Added policy-required CFLAGS stuff, and cross-compilation
    helpers
  * debian/copyright:
    - fixed typo in path to common-licenses
    - updated FSF address
  * debian/changelog: removed obsolete emacs settings
  * Makefile.in: install common.?? without +x
  * README: noted the changes to extrafiles

 -- Marcin Owsiany <porridge@debian.org>  Tue, 25 Oct 2005 18:09:36 +0200

cruft (0.9.6-0.8) experimental; urgency=low

  * Non-maintainer upload blessed by aj
  * cruft:
    - do not use "/dev/stdout", rather cat to implied stdout. Also chdir to
      original directory before catting to a report file.


=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Anthony Towns <ajt@debian.org>
-Build-Depends: debhelper
-Standards-Version: 2.4.0.0
+Build-Depends: debhelper (>> 4)
+Standards-Version: 3.6.2
 
 Package: cruft
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,12 +6,28 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Help cross-compiling
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+CFLAGS += -g
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+export CFLAGS
+
+# dh_strip will take care of nostrip
+
 build: build-stamp
 build-stamp:
 	dh_testdir
 
 	# Add here commands to compile the package.
-	./configure
+	./configure \
+		--host=$(DEB_HOST_GNU_TYPE) \
+		--build=$(DEB_BUILD_GNU_TYPE)
 	$(MAKE)
 
 	touch build-stamp
@@ -38,10 +54,10 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the files into debian/tmp
+	# Add here commands to install the files into debian/cruft
 	$(MAKE) install
 ## XXX
-	cp -a debian/extrafiles debian/tmp/usr/lib/cruft/filters/cruft
+	install -m 0644 -o root -g root debian/extrafiles debian/cruft/usr/lib/cruft/filters/cruft
 ## XXX
 
 	dh_installdocs README TODO
@@ -49,21 +65,19 @@
 #	dh_installmenu
 #	dh_installinit
 	dh_installcron
-	dh_installmanpages 
-	dh_undocumented dash-search.1
+	dh_installman
 	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms
-	chmod 700 debian/tmp/var/spool/cruft
-	dh_suidregister
+	chmod 700 debian/cruft/var/spool/cruft
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
 #	dh_makeshlibs
 
 ##
-##	install -o root -g root -m 644 -p debian/extrafiles debian/tmp/DEBIAN/extrafiles
+##	install -o root -g root -m 644 -p debian/extrafiles debian/cruft/DEBIAN/extrafiles
 ##
 	dh_md5sums
 	dh_builddeb

## cruft 0.9.9ubuntu1

=== debian/changelog ===
cruft (0.9.9ubuntu1) gutsy; urgency=low

  * Fix bashism in cruft script (LP: #144346)
  * Update maintainer per spec

 -- Barry deFreese <bddebian@comcast.net>  Mon, 24 Sep 2007 12:58:28 -0400

cruft (0.9.9) unstable; urgency=low

  * check_type_symlink: fixed a failure when there are no broken symlinks on a
    filesystem (closes: Bug#430401)

 -- Marcin Owsiany <porridge@debian.org>  Wed, 27 Jun 2007 18:17:16 +0100

cruft (0.9.8) unstable; urgency=low

  * Filter files:
    - added: ipolish alsa-base apt-listbugs cryptsetup cups-pdf cupsys
      cupsys-client dcc-common ddclient gdm gs-common pcmciautils sun-java5-bin
      wpolish xserver-xorg x-ttcidfont-conf
    - modified: apache-common apt cvs fontconfig hddtemp iamerican ibritish
      locales x11-common
  * Explain script modified: grub

 -- Marcin Owsiany <porridge@debian.org>  Sat, 23 Jun 2007 21:32:23 +0100

cruft (0.9.7) experimental; urgency=low

  * The "DebConf 7" release - includes 0.9.6-0.18 (experimental)
  * Taking over the package with aj's permission
    - finally got rid of that ugly version appendix
  * Bumped standards-version to 3.7.2.2
  * Bumped debhelper compat and version dep to 5
  * Added lintian and linda overrides for the non-standard spool directory
    permissions
  * Significant changes aiming to fix some design issues:
    - merge_diff: refactored to make the code less cryptic, and added a new
      stream of data from the explain scripts
    - cruft:
      . moved filtering to after the merge_diff stage
      . only use filters/explain scripts which have a matching package in the
        system OR have UPPER_CASE name (closes: Bug#373708), also only use a
        filter/script once, making it possible to do overrides cleanly
        (closes: Bug#410800)
      . introduced multiple filter directories, making it possible to silence
        any complaints from cruft (closes: Bug#383364)
  * many programs: lots of changes to detect potential output (but not only)
    failures, for example due to filesystem being full. (closes: Bug#411860)
  * Added a design.png diagram
  * Many cleanups and minor enhancements to programs and documentation
  * filter files changes submitted by Jeremy Bygott (closes: Bug#411602)
    - changed: cron checksecurity emacs21-common base-files bsdgames
      emacsen-common nvi pdmenu ppp vim vim-gnome dpkg logrotate
    - new: tcl8.3 tcl8.4 emacs21
    - removed: tcl8.0 emacs20
  * Acknowledging bugs closed in NMUs (closes: Bug#51448, #51617, #52094,
    Bug#182796, #335507, #35042, #37735, #42969, #47513, #50730, #51446,
    Bug#51653, #55022, #88274, #95799, #100145, #110000, #146021, #149616,
    Bug#155431, #263472, #265794, #272124, #284711, #291820, #334091,
    Bug#367029, #373633, #373684, #59714, #102809, #126855, #174877,
    Bug#233979, #308176, #349558, #29187, #65169, #94942, #133887, #133888,
    Bug#134310, #149736, #304440, #371871, #371872, #66731, #319490, #411860,
    Bug#373708, #410738, #410800, #411861, #346058, #383364, #157737)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 22 Jun 2007 21:42:58 +0100

cruft (0.9.6-0.17) unstable; urgency=low

  * Non-maintainer upload blessed by aj
  * merge_diff: renamed some variables and constants to make the logic more
    readable
  * Filter files:
    - new: x11-common (closes: Bug#410738)
    - removed: xfree86-common
  * cruft: fixed the way DRIVES was set from command line, to actually
    override the default, not just add to it (closes: Bug#411861)

 -- Marcin Owsiany <porridge@debian.org>  Sat,  3 Mar 2007 22:21:09 +0000

cruft (0.9.6-0.16) unstable; urgency=low

  * Non-maintainer upload blessed by aj
  * TODO: added URLs of past cruft discussions
  * Filter files:
    - new: openbsd-inetd
    - modified: apt base-files dhcp3-client initscripts libc6
      module-init-tools
  * explain/alternatives: modified not to list ALL symlinks, just the ones
    which should be there

 -- Marcin Owsiany <porridge@debian.org>  Thu, 18 Jan 2007 18:44:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: cruft
 Section: admin
 Priority: optional
-Maintainer: Anthony Towns <ajt@debian.org>
-Build-Depends: debhelper (>> 4)
-Standards-Version: 3.6.2
+Maintainer: Ubuntu MOTU Team <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marcin Owsiany <porridge@debian.org>
+Uploaders: Anthony Towns <ajt@debian.org>
+Build-Depends: debhelper (>> 5)
+Standards-Version: 3.7.2.2
 
 Package: cruft
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -53,14 +53,16 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
+	install -m 0644 -o root -g root debian/cruft.lintian-overrides debian/cruft/usr/share/lintian/overrides/cruft
+	install -m 0644 -o root -g root debian/cruft.linda-overrides debian/cruft/usr/share/linda/overrides/cruft
 
 	# Add here commands to install the files into debian/cruft
 	$(MAKE) install
 ## XXX
-	install -m 0644 -o root -g root debian/extrafiles debian/cruft/usr/lib/cruft/filters/cruft
+	install -m 0644 -o root -g root debian/extrafiles debian/cruft/usr/lib/cruft/filters-unex/cruft
 ## XXX
 
-	dh_installdocs README TODO
+	dh_installdocs README TODO design.png
 #	dh_installexamples
 #	dh_installmenu
 #	dh_installinit

## cruft 0.9.10

=== debian/changelog ===
cruft (0.9.10) unstable; urgency=low

  * Fixed two bashisms in cruft (closes: Bug#432207)
  * Skip directories among explain scripts gracefully (closes: Bug#432788)
  * Added a shellexp(3) manpage (closes: Bug#375788)
  * Generate the PNG from the dia file and shrink it using pngcrush at build
    time, instead of embedding it in the source package (closes: Bug#439926)

 -- Marcin Owsiany <porridge@debian.org>  Wed, 17 Oct 2007 12:57:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: cruft
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Team <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marcin Owsiany <porridge@debian.org>
+Maintainer: Marcin Owsiany <porridge@debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>
-Build-Depends: debhelper (>> 5)
+Build-Depends: debhelper (>> 5), pngcrush, dia | dia-gnome
 Standards-Version: 3.7.2.2
 
 Package: cruft

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,11 @@
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE)
 	$(MAKE)
+
+# launch some tests
+	$(MAKE) shellexptest merge_diff_test
+	./test-shellexp
+	cd merge_diff_tests && ./test
 
 	touch build-stamp

## cruft 0.9.12

=== debian/changelog ===
cruft (0.9.12) unstable; urgency=high

  * Minimal change to fix a serious bug; upload aimed at lenny
  * filter_shell.c:
    - when there are more patterns to load than we can handle then warn and
      exit, instead of segfaulting (closes: Bug#498986)
    - increase the number of patterns we can handle from 1000 (very easy to
      reach) to 4000

 -- Marcin Owsiany <porridge@debian.org>  Fri, 21 Nov 2008 22:11:43 +0000

cruft (0.9.11) unstable; urgency=low

  * Unset DISPLAY when launching dia, so it's less likely to fail if the
    variable is set incorrectly at build time.
  * explain/ALTERNATIVES: make the warning about symlink and registered
    alternatives mismatch more intelligible (closes: Bug#487777)
  * filters-broken_symlinks: sysklogd, klogd: added sendsigs.omit.d files
  * filters-unex:
    - apt: added term.log
    - aptitude: added lock and pkgstates.old
    - libc6: added ldconfig directory and aux-cache file
    - initscripts, sysklogd, klogd: added /lib/init/rw/sendsigs.omit.d
    - libpam-modules: added /etc/security/opasswd
    - dpkg: added triggers directory
    - libuuid1: added /var/lib/libuuid
  * clarify man page as to what cruft "cleans up" (closes: Bug#487456)
  * updated debian/copyright, added myself and some links to it
  * added vcs-* and homepage headers to the control file
  * bumped Standards-Version to 3.8.0.0 (only change needed was change of
    findstring to filter when parsing DEB_BUILD_OPTIONS)
  * dropped linda overrides, as suggested by lintian
  * added a lintian override about the empty directories

 -- Marcin Owsiany <porridge@debian.org>  Wed, 23 Jul 2008 21:45:49 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,10 @@
 Maintainer: Marcin Owsiany <porridge@debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>
 Build-Depends: debhelper (>> 5), pngcrush, dia | dia-gnome
-Standards-Version: 3.7.2.2
+Standards-Version: 3.8.0.0
+Homepage: http://alioth.debian.org/projects/cruft/
+Vcs-SVN: svn://svn.debian.org/cruft/trunk
+Vcs-Browser: http://svn.debian.org/wsvn/cruft/trunk/
 
 Package: cruft
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 CFLAGS += -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
@@ -59,7 +59,6 @@
 	dh_clean -k
 	dh_installdirs
 	install -m 0644 -o root -g root debian/cruft.lintian-overrides debian/cruft/usr/share/lintian/overrides/cruft
-	install -m 0644 -o root -g root debian/cruft.linda-overrides debian/cruft/usr/share/linda/overrides/cruft
 
 	# Add here commands to install the files into debian/cruft
 	$(MAKE) install

## cruft 0.9.15

=== debian/changelog ===
cruft (0.9.15) unstable; urgency=low

  * Moved the source tree to git.
  * [5ccce15] Simplified and modernized the build.
  * [cdbce1a] Make test output easier to clean and do clean it.
  * [720aa0e] Use minus, not hyphen in some places.
  * [df7e8db] Removed deps on dash, added misc:Depends.
  * [94bd5dc] Point to git repo and updated year in copyright.
  * [fd34d72] Added a git-buildpackage config.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 30 Mar 2011 09:57:35 +0100

cruft (0.9.14) unstable; urgency=low

  * Instead of directly accessing installed maintainer scripts and dpkg "list"
    files, call dpkg-query as appropriate. This makes it much slower in some
    cases but at least it will let us survive the incoming revolution in dpkg
    database (closes: Bug#616068)

 -- Marcin Owsiany <porridge@debian.org>  Wed, 09 Mar 2011 09:21:40 +0000

cruft (0.9.13) experimental; urgency=high

  * Changed all bash and sh scripts to use dash, because bash makes it hard to
    write reliable scripts - see discussion at
    http://groups.google.com/group/gnu.bash.bug/browse_thread/thread/e37f5c7ddcc55eeb
    (closes: Bug#500261)
    - changed the shebang line
    - added a dependency and a build-dependency on dash
    - fixed a bashism in check_type_symlink and disabled timestamps in $PS4
  * common.sh:
    - disable corefile limit in debug mode
    - added fusectl to list of ignored filesystems (closes: Bug#499783)
  * filter_shell.c:
    - swapped checks in a for loop to avoid rather harmless but technically
      invalid uninitialized memory accesses
    - increase the number of patterns we can handle to 4000
    - when there are more patterns to load than we can handle then warn and
      exit, instead of segfaulting (closes: Bug#498986)

 -- Marcin Owsiany <porridge@debian.org>  Sat, 22 Nov 2008 09:39:56 +0000

=== debian/control ===
Source: cruft
Section: admin
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Uploaders: Anthony Towns <ajt@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, pngcrush, dia | dia-gnome
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.1
Homepage: http://alioth.debian.org/projects/cruft/
Vcs-Git: git://github.com/porridge/cruft.git
Vcs-Browser: https://github.com/porridge/cruft

Package: cruft
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, file
Description: program that finds any cruft built up on your system
 cruft is a program to look over your system for anything that shouldn't
 be there, but is; or for anything that should be there, but isn't.
 .
 It bases most of its results on dpkg's database, as well as a list of
 `extra files' that can appear during the lifetime of various packages.
 .
 cruft is still in pre-release; your assistance in improving its accuracy
 and performance is appreciated.

## cruft 0.9.16

=== debian/changelog ===
cruft (0.9.16) unstable; urgency=medium

  * [852e6e9] Use /run instead of /lib/init/rw. (Closes: Bug#633025)
  * [6454bba] Added a suggests on mailx and handle its lack. (Closes:
    Bug#628390)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 08 Jul 2011 10:55:52 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Package: cruft
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, file
+Suggests: mailx
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't
  be there, but is; or for anything that should be there, but isn't.

=== debian/rules ===
#!/usr/bin/make -f
# cruft package rules file
# Copyright 2011 Marcin Owsiany <porridge@debian.org>

# As recommended by "current Debian best practice" prescribed by autotools-dev,
# we set configure flags appropriately to help cross-compiling:
# These are set automatically by dpkg-buildpackage, but we cannot depend on
# them being available, because caller might not be using dpkg-buildpackage
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_install:
	dh_auto_install
	install -m 0644 -o root -g root debian/extrafiles debian/cruft/usr/lib/cruft/filters-unex/cruft

override_dh_fixperms:
	dh_fixperms
	chmod 700 debian/cruft/var/spool/cruft

## cruft 0.9.19

=== debian/changelog ===
cruft (0.9.19) unstable; urgency=medium

  * [9231e14] Remove debian/extrafiles as it was never implemented:
    https://lists.debian.org/debian-policy/1998/04/msg00089.html
  * [c3c008c] [384ae1e] [9d7e374] Fix compiling warnings
  * Updates to various filters: systemd v215, grub2 v2.02,
    ca-certificates ...
  * New explain scripts for Kde4, *-icon-theme
  * Remove extraneous filters for packages that are now
     well handled by alternatives

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 22 Oct 2014 10:32:28 +0200

cruft (0.9.18) unstable; urgency=medium

  * New Maintainer (Closes: #763888)
  * Bump DebHelper compat from 5 to 9
  * Update standards-version to 3.9.6: no changes needed
  * Rewrite of debian/copyright in machine-readable format
  * Updated Git repository URL
  * Add rules for apticron & dput, update geoip-database-contrib

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 03 Oct 2014 22:38:00 +0200

cruft (0.9.17) unstable; urgency=low

  * Orphaning the package

 -- Marcin Owsiany <porridge@debian.org>  Fri, 03 Oct 2014 14:53:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: cruft
 Section: admin
 Priority: optional
-Maintainer: Marcin Owsiany <porridge@debian.org>
-Uploaders: Anthony Towns <ajt@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, pngcrush, dia | dia-gnome
+Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
+Build-Depends: debhelper (>= 9~), dh-autoreconf, pngcrush, dia | dia-gnome
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.1
+Standards-Version: 3.9.6
 Homepage: http://alioth.debian.org/projects/cruft/
-Vcs-Git: git://github.com/porridge/cruft.git
-Vcs-Browser: https://github.com/porridge/cruft
+Vcs-Git: git://github.com/a-detiste/cruft.git
+Vcs-Browser: https://github.com/a-detiste/cruft
 
 Package: cruft
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 
-override_dh_auto_install:
-	dh_auto_install
-	install -m 0644 -o root -g root debian/extrafiles debian/cruft/usr/lib/cruft/filters-unex/cruft
-
 override_dh_fixperms:
 	dh_fixperms
 	chmod 700 debian/cruft/var/spool/cruft

## cruft 0.9.20

=== debian/changelog ===
cruft (0.9.20) unstable; urgency=medium

  * Spin-off filters database in new cruft-common package,
    so it can be shared with cruft-ng
  * Add miscellanous filters, mostly to match *.pyc files
  * Review RaspBian support
  * add /etc/ethers shared by various network packages
  * add rule for etckeeper (Closes: #784980)
  * drop depedency on perl, perl-base is enough
  * fix handling of /lost+found in ignored paths

  [ Reimar Döffinger ]
  * filter_shell.c: Allocate buffer via calloc instead of on-stack

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 16 Jun 2015 13:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: cruft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, file
+Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common
 Suggests: mailx
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't
@@ -22,3 +22,17 @@
  .
  cruft is still in pre-release; your assistance in improving its accuracy
  and performance is appreciated.
+
+Package: cruft-common
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: cruft (<< 0.9.20)
+Replaces: cruft (<< 0.9.20)
+Description: information database shared by cruft & cruft-ng
+ cruft & cruft-ng are programs to look over your system for anything
+ that shouldn't be there, but is; or for anything that should be there,
+ but isn't.
+ .
+ This package contain extra information about packages
+ that are not avaible in Debian standard packages information
+ repositories like dpkg, alternatives, diversions, ...

## cruft 0.9.21

=== debian/changelog ===
cruft (0.9.21) unstable; urgency=low

  * make it build with DEB_BUILD_OPTIONS=parallel=23 (Closes: #790844)
  * fix "/usr/lib/cruft/cruft_find: unexpected operator" (Closes: #791579)
  * add misc. package filters, mostly for new KDE5 & Emacs24

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Mon, 21 Sep 2015 10:02:23 +0200

## cruft 0.9.22

=== debian/changelog ===
cruft (0.9.22) unstable; urgency=low

  * etckeeper: add "/etc/.git" to filter (Closes: #799744)
  * suggest cruft-ng in debian/control
  * split ssh in openssh-client + openssh-server (Closes: #800105)
  * add generic support for "*-dkms" packages (Closes: #800103)
  * add filter for LVM2 (Closes: #800102)
  * refresh Apache 2 rule (Closes: #800104)
  * add filter for lxc

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 05 Nov 2015 23:33:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: cruft
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common
-Suggests: mailx
+Suggests: mailx, cruft-ng
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't
  be there, but is; or for anything that should be there, but isn't.

=== debian/rules ===
--- 
+++ 
@@ -25,3 +25,5 @@
 	dh_fixperms
 	chmod 700 debian/cruft/var/spool/cruft
 
+override_dh_perl:
+	dh_perl -d

## cruft 0.9.23

=== debian/changelog ===
cruft (0.9.23) unstable; urgency=low

  * Fix FTBFS when built with dpkg-buildpackage -A (Closes: #806009)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 24 Nov 2015 18:03:47 +0100

## cruft 0.9.24~bpo8+1

=== debian/changelog ===
cruft (0.9.24~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Paul Wise <pabs@debian.org>  Fri, 12 Feb 2016 12:54:31 +1100

cruft (0.9.24) unstable; urgency=low

  * split common.sh in common.sh + common_legacy.sh,
    only keep the bare minimum in cruft-common package
  * cruft-common: update to misc. packages rules

  [ Benedict Harcourt ]
  * cruft: avoid leaking temporary files in /tmp/tmp.*

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Fri, 08 Jan 2016 12:12:36 +0100

## cruft 0.9.25

=== debian/changelog ===
cruft (0.9.25) unstable; urgency=medium

  * add filters for UsrMerge support: coreutils, less, mksh, policycoreutils,
    cryptsetup, xfsdump, davfs2
  * new filters for xdm, qemu-user-binfmt, misc. java packages, NetworkManager,
    mono-utils, xfonts-75dpi, xfonts-100dpi, ifrench, menu-xdg, exult,...
  * check semi-automatically for obsolete packages;
    remove old packages that got removed from the archive before 2008
    rename 'bind' to 'bind9'

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 11 Feb 2016 10:01:28 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: cruft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common
+Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24)
 Suggests: mailx, cruft-ng
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't
@@ -26,7 +26,7 @@
 Package: cruft-common
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: cruft (<< 0.9.20)
+Breaks: cruft (<< 0.9.24)
 Replaces: cruft (<< 0.9.20)
 Description: information database shared by cruft & cruft-ng
  cruft & cruft-ng are programs to look over your system for anything

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
 
-override_dh_fixperms:
+override_dh_fixperms-arch:
 	dh_fixperms
 	chmod 700 debian/cruft/var/spool/cruft

## cruft 0.9.27~bpo8+1

=== debian/changelog ===
cruft (0.9.27~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Allow old backports versions of cruft-common

 -- Paul Wise <pabs@debian.org>  Thu, 09 Jun 2016 15:19:40 +0800

cruft (0.9.27) unstable; urgency=medium

  * Add filters for new php-common & php-pgsql; likely more needed soon.
  * Handle IceWeasel -> FireFox transitional package.
  * Update filters for apt, apt-listchanges, colord, usbmuxd.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 24 Apr 2016 11:26:12 +0200

cruft (0.9.26) unstable; urgency=medium

  * Use HTTPS for Vcs-Git URL.
  * UsrMerge: add filter for acl, open-iscsi
  * update filters for sudo, pbuilder, lxde-icon-theme, policykit-1, plymouth,
    connman, network-manager, maybe, rpmlint, heroes, libxml-sax-perl,
    console-setup, nullmailer.
  * Bump Standards-Version to 3.9.7, no changes needed
  * cruft-common: Add optional cron job (Closes: #492001)
  * Enable full hardening.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 10 Mar 2016 23:14:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends: debhelper (>= 9~), dh-autoreconf, pngcrush, dia | dia-gnome
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://alioth.debian.org/projects/cruft/
-Vcs-Git: git://github.com/a-detiste/cruft.git
+Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft
 
 Package: cruft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24)
+Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24~)
 Suggests: mailx, cruft-ng
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't

## cruft 0.9.27

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: cruft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24~)
+Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24)
 Suggests: mailx, cruft-ng
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't

## cruft 0.9.28

=== debian/changelog ===
cruft (0.9.28) unstable; urgency=medium

  * Fix README.gz location in man page (LP: #1574245)
  * Add/refresh filters matching default Stretch install (mostly Gnome desktop):
    gdm3, evince, gnome-menus, gnome-accessibility-themes,
    bluez, packagekit, appstream, cracklib-runtime, ibritish, iamerican,...
  * Standards-Version 3.9.8, no further change required.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Thu, 09 Jun 2016 19:54:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
 Build-Depends: debhelper (>= 9~), dh-autoreconf, pngcrush, dia | dia-gnome
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://alioth.debian.org/projects/cruft/
 Vcs-Git: https://github.com/a-detiste/cruft.git
 Vcs-Browser: https://github.com/a-detiste/cruft
 
 Package: cruft
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24)
+Depends: ${shlibs:Depends}, ${misc:Depends}, file, cruft-common (>= 0.9.24~)
 Suggests: mailx, cruft-ng
 Description: program that finds any cruft built up on your system
  cruft is a program to look over your system for anything that shouldn't

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@ --with autoreconf --parallel

## cruft 0.9.29

=== debian/changelog ===
cruft (0.9.29) unstable; urgency=medium

  * Switch to Debhelper 10
  * handle "sysv-rc"-less systems gracefully
  * add new packages: libvlc-bin, liblimba0, linux-base, smartmontools,
    wifi-radar
  * refresh packages: appstream, apt, emacseb-common, gdm3, intel-microcode,
    ligtdm, mysql-server, rsyslog, sddm, sudo

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 27 Nov 2016 18:08:14 +0100

## cruft 0.9.30

=== debian/changelog ===
cruft (0.9.30) unstable; urgency=medium

  * add support for SElinux-enabled systems, thanks to Christian Göttsche
    (Closes: #850531)
  * add filter for irqbalance
  * more tweaks for "sysv-rc"-less systems
  * refresh filter for aspell
  * add support for Numix-Light icon theme

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sat, 14 Jan 2017 15:58:32 +0100

## cruft 0.9.31~bpo8+1

=== debian/changelog ===
cruft (0.9.31~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Paul Wise <pabs@debian.org>  Sun, 02 Apr 2017 10:20:58 +0800

cruft (0.9.31) unstable; urgency=medium

  * SElinux: also consider /.autorelabel
  * update mysql-server
  * SELinux: ignore selinuxfs and tracefs

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 25 Jan 2017 22:06:18 +0100

## cruft 0.9.31

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Alexandre Detiste <alexandre.detiste@gmail.com>
-Build-Depends: debhelper (>= 9~), dh-autoreconf, pngcrush, dia | dia-gnome
+Build-Depends: debhelper (>= 10~), dh-autoreconf, pngcrush, dia | dia-gnome
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.9.8
 Homepage: http://alioth.debian.org/projects/cruft/
@@ -34,5 +34,5 @@
  but isn't.
  .
  This package contain extra information about packages
- that are not avaible in Debian standard packages information
+ that are not available in Debian standard packages information
  repositories like dpkg, alternatives, diversions, ...

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
